Summary:	A module for make gtkmm program with glade
Name:		glademm
Version:	2.6.0
Release:	1mdk
Source0:	http://home.wtal.de/petig/Gtk/%{name}-%{version}.tar.bz2
URL:		http://home.wtal.de/petig/Gtk
License:	GPL
Group:		Development/GNOME and GTK+
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires: gnomemm-devel libgnomeuimm2.0-devel
# requires libgtkmm-devel because glade-- binary uses gtkmm-config
Requires:   glade2 libgnomeuimm2.0-devel

%description
This package permit to generate c++ code with glade.
glade-- use gtkmm binding for c++ code.

%prep
%setup -q

%build

%configure2_5x

%make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog TODO README NEWS
%{_bindir}/*

%changelog
* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-1mdk 
- Release 2.6.0
- Remove patch0 (merged upstream)

* Wed Dec 29 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-3mdk 
- Switch dependency to glade2/GNOMEMM 2.0 binding (Mdk bug #12676)
- Enable libtoolize

* Tue Jun 29 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0.0-2mdk
- rebuild for new g++

* Thu Jul 17 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.0.0-1mdk
- Release 2.0.0
- Patch0 (CVS): fix compilation with gcc 3.3

* Tue Apr 22 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.1.3f-1mdk
- Release 1.1.3f

* Wed Nov  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.2-1mdk
- Release 1.1.2
- Remove patch0 (merged upstream)

* Wed Aug 14 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.1.1b-2mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Wed Jul 31 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.1b-1mdk
- Release 1.1.1b
- Patch0: fix compilation with gcc 3.2

* Fri Mar 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.4-1mdk
- Release 0.6.4

* Thu Jan  3 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.2b-1mdk
- Release 0.6.2b

* Tue Dec  4 2001 Stew Benedict <sbenedict@mandrakesoft.com> 0.5.11f-6mdk
- still HAVE_A_BROKEN_CXX_COMPILER - PPC, add URL tag

* Tue Jul 10 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 0.5.11f-5mdk
- remove we-have-a-broken-C++-compiler defines

* Fri Apr 13 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5.11f-4mdk
- new release

* Mon Mar 26 2001 David BAUDENS <baudens@mandrakesoft.com> 0.5.11e-3mdk
- PPC: build with gcc

* Wed Mar 14 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.5.11e-2mdk
- make use of "BuildRequires" tag, even if most maintainers don't
  know this nice feature of RPM

* Sat Feb 17 2001 Geoffrey lee <snailtalk@mandrkesoft.com> 0.5.11e-1mdk
- New and shiny source.
- Remove the kgcc  and kg++ limitation for ix86 arch.

* Fri Dec 22 2000 David BAUDENS <baudens@mandrakesoft.com> 0.5.9-4mdk
- Fix build (use egcs), at least on PPC & ix86

* Mon Oct  2 2000 Vincent Saugey <vince@mandrakesoft.com> 0.5.9-3mdk
- Fix packager flag

* Fri Jul 28 2000 Vincent Saugey <vince@mandrakesoft.com> 0.5.9-2mdk
- Rebuild for BM

* Mon Jul 10 2000 Vincent Saugey <vince@mandrakesoft.com> 0.5.9-1mdk
- first mdk release
